summaryrefslogtreecommitdiffstats
path: root/meta-rcar-gen3-adas/recipes-graphics
diff options
context:
space:
mode:
authorGrigory Kletsko <grigory.kletsko@cogentembedded.com>2017-06-04 01:01:31 +0300
committerGrigory Kletsko <grigory.kletsko@cogentembedded.com>2017-06-04 01:01:31 +0300
commit3c4889bc08194d620a12420ccfacd0704357541d (patch)
treed8e3344d7ca8485bcaf52cc8b4be731315aa2e1f /meta-rcar-gen3-adas/recipes-graphics
parent65d551e4f113d07a76c3eda3434c6fea84f0ad19 (diff)
[weston] Add weston profile.d script, XDG_RUNTIME_DIR=/run/user/0
by default
Diffstat (limited to 'meta-rcar-gen3-adas/recipes-graphics')
-rwxr-xr-xmeta-rcar-gen3-adas/recipes-graphics/wayland/files/weston_exp.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/meta-rcar-gen3-adas/recipes-graphics/wayland/files/weston_exp.sh b/meta-rcar-gen3-adas/recipes-graphics/wayland/files/weston_exp.sh
new file mode 100755
index 0000000..18be2ad
--- /dev/null
+++ b/meta-rcar-gen3-adas/recipes-graphics/wayland/files/weston_exp.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+if test -z "$XDG_RUNTIME_DIR"; then
+ export XDG_RUNTIME_DIR=/run/user/`id -u`
+ if ! test -d "$XDG_RUNTIME_DIR"; then
+ mkdir --parents $XDG_RUNTIME_DIR
+ chmod 0700 $XDG_RUNTIME_DIR
+ fi
+fi
+
+export QT_QPA_PLATFORM=wayland